Looking for ePay classic docs? Go to docs.epay.dk
ePay documentationDocsePay documentation
Subscriptions

Disable Subscription

OpenAPI Spec

Test this endpoint live

Open the same request directly in API Explorer.

Open in API Explorer

Server URL

DELETE
/public/api/v1/subscriptions/{subscriptionId}

Disables an active subscription, preventing the creation of new transactions. However, payments for existing transactions can still be captured, voided and refunded.

Authorization

BearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

subscriptionIdstring
Required

The id of the subscription to disable.

Format:
uuid

Header Parameters

Idempotency-Keystring

Ensures that a request can be safely retried without causing duplicate operations. Typically used for actions like payment creation and operations such as refund and void to prevent accidental double processing.

  • If a response is replayed due to using the same key, the response will include the header Idempotent-Replayed: true.
  • Idempotency keys are scoped by [Key, Endpoint, HTTP Verb]; the same key on a different endpoint or method will not replay the original response.
  • Responses are cached for 24 hours. After that, the cache is cleared, so idempotency is only guaranteed within 24 hours of the initial request.

Response Body

application/json

application/json

application/json

curl -X DELETE "https://example.com/public/api/v1/subscriptions/497f6eca-6276-4993-bfeb-53cbbbba6f08" \  -H "Idempotency-Key: c4f5e8d2-1234-5678-90ab-cdef12345678"
Empty
{  "errorCode": "SERVER_ERROR",  "message": "An unexpected system error"}
{  "errorCode": "VALIDATION_ERROR",  "message": "Input validation errors",  "errors": {    "amount": [      "[required]: Is a required non-nullable field",      "[int]: Must be an integer",      "[min:0]: Must be greater than 0",      "[max:999999999]: Must be less than 999999999"    ]  }}
{  "errorCode": "SERVER_ERROR",  "message": "An unexpected system error"}